commit acb0a9eef832bf927c57d260c51ba48eac85fe66
Author: Brian Clifton <brian@clifton.me>
Date:   Sun Apr 24 09:51:49 2016 -0700

    Updated most urls from http to https. Tested each one manually and
    updated the url if it redirected to a new location. Also fixed XSS issue
    with navbar.html (it tries to use an inline style, but is rendered via
    SSI, which is not allowed).

diff --git a/cgi-bin2/package-grep.cgi b/cgi-bin2/package-grep.cgi
index ca70f41..c678ef6 100755
--- a/cgi-bin2/package-grep.cgi
+++ b/cgi-bin2/package-grep.cgi
@@ -85,9 +85,9 @@ PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     echo '<h1>Cygwin Package Search</h1>
 <form method="GET" action="//cygwin.com/cgi-bin2/package-grep.cgi">
 Search package contents for a
-<a href="http://www.gnu.org/software/grep/manual/grep.html">grep</a>
-<a href="http://www.gnu.org/software/grep/manual/grep.html#Basic-vs-Extended">basic</a>
-<a href="http://en.wikipedia.org/wiki/Regular_expression">regular expression</a>
+<a href="https://www.gnu.org/software/grep/manual/grep.html">grep</a>
+<a href="https://www.gnu.org/software/grep/manual/grep.html#Basic-vs-Extended">basic</a>
+<a href="https://en.wikipedia.org/wiki/Regular_expression">regular expression</a>
 pattern, or view the <a href="https://cygwin.com/packages/package_list.html">full list</a>
 of packages<br>
 <input type="text" size=40 name="grep" value="'$param_grep_htmlencode'">
diff --git a/packages/.htaccess b/packages/.htaccess
index d83d3ec..14beef6 100644
--- a/packages/.htaccess
+++ b/packages/.htaccess
@@ -1 +1 @@
-Redirect temp /packages/index.html http://cygwin.com/cgi-bin2/package-grep.cgi
+Redirect temp /packages/index.html https://cygwin.com/cgi-bin2/package-grep.cgi
diff --git a/snapshots/master.template b/snapshots/master.template
index fc7427f..a111249 100644
--- a/snapshots/master.template
+++ b/snapshots/master.template
@@ -63,8 +63,8 @@ source tree</a>.
 bug fixes in the Cygwin sources.</p>
 
 <p>Snapshots are provided as an advance look at the next
-version of Cygwin.  Users are encouraged to <a href="http://cygwin.com/faq-nochunks.html#faq.setup.snapshots">try them</a> and report problems
-to the <a href="http://cygwin.com/lists.html">Cygwin mailing list</a>.
+version of Cygwin.  Users are encouraged to <a href="https://cygwin.com/faq-nochunks.html#faq.setup.snapshots">try them</a> and report problems
+to the <a href="https://cygwin.com/lists.html">Cygwin mailing list</a>.
 Testing snapshots helps ensure good Cygwin DLL releases.</p>
 </div>
 </body>
diff --git a/xfree/.htaccess b/xfree/.htaccess
index 6c1b82b..b39e35b 100644
--- a/xfree/.htaccess
+++ b/xfree/.htaccess
@@ -1,4 +1,4 @@
 Redirect permanent /links.html http://x.cygwin.com/
 Redirect permanent /chat.html http://x.cygwin.com/
 Redirect permanent /faq.html http://x.cygwin.com/docs/faq/
-Redirect permanent /donations.html http://cygwin.com/donations.html
+Redirect permanent /donations.html https://cygwin.com/donations.html
